# -*- coding: utf-8 -*-
# Generated by Django 1.9.8 on 2016-10-11 03:27
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ClientType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('address1', models.CharField(max_length=120)),
                ('address2', models.CharField(blank=True, max_length=60)),
                ('city', models.CharField(default='Nashville', max_length=100)),
                ('state', models.CharField(choices=[('Tennessee', 'TN')], default='TN', max_length=2)),
                ('zip', models.BigIntegerField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Provider',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('description', models.TextField(blank=True, max_length=512, null=True)),
                ('avatar', models.ImageField(blank=True, default='images/avatars/no-avatar.png', upload_to='')),
                ('org_type', models.CharField(choices=[('nonprofit', 'Non-Profit'), ('government', 'Government'), ('community', 'Community'), ('volunteer', 'Volunteer')], default='nonprofit', max_length=10)),
                ('website', models.URLField(blank=True)),
                ('twitter', models.URLField(blank=True)),
                ('facebook', models.URLField(blank=True)),
                ('is_faith_based', models.BooleanField(default=False)),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('date_modified', models.DateTimeField(auto_now=True)),
                ('account', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('client_types', models.ManyToManyField(to='nashvillehearts.ClientType')),
                ('locations', models.ManyToManyField(to='nashvillehearts.Location')),
            ],
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('icon', models.ImageField(upload_to='')),
            ],
        ),
        migrations.AddField(
            model_name='provider',
            name='services',
            field=models.ManyToManyField(to='nashvillehearts.Service'),
        ),
    ]
